Subject: Re: RPM not working under RedHat 4.0
From: [email-masked] (Wilhelm Wienemann)
Date: Wed, 1 Jan 1997 22:23:42 GMT
Newsgroups: comp.os.linux.misc

On Mon, 30 Dec 1996 07:26:00 GMT in comp.os.linux.misc, 
Michael Mollard <[email-masked]> wrote:

Hi Michael!

MM: I'm running RedHat 4.0 happily on a Pentium 133.
MM: I've just downloaded some of the updated RPMs from redhat, but, 
MM: try as hard as I may, I can't find ay instructions on where to 
MM: put the files in my tree structure.

At the moment there are existing three (binary and src) versions of
the RPM tool:

RPM 1.4    = Version 1
RPM 2.0.x  = Version 2 
RPM 2.2.x  = Version 3

and the current is RPM-2.2.7. For update packages in RedHat 4.0 you
need the Version 3 of RPM. 

MM: Tried using RPM to upgrade the packages, but failed (can't install
MM: this package)

You can it install or better upgrade from the (/) root-directory. If
you are upgrading to RPM-2.2.x from RPM-2.0.x (RH-Distribution 3.0.3) 
you must first upgrade to RPM-2.1.2 because the unresolved 
'dependencies' in the RPM-2.2.x package. Again - step by step -

1.	upgrading to RPM-2.1.2 with:

	rpm -Uvh --nodeps rpm-2.1.2-1.i386.rpm

2.	upgrading to RPM-2.2.7 with:

	rpm -Uvh --nodeps --force rpm-2.2.7-1.i386.rpm

Then you are be able to install every RH-4.0 packages with the
rpm tool. 

Good luck!

MM: Please also respond by email ([email-masked])
Your E-Mail address isn't correct :-(((

ciao - Wilhelm 

-- 
>>>>>>>>> Wilhelm Wienemann, Amselweg 10, D-47546 Kalkar/Germany <<<<<<<<
------------>>> E-Mail: [email-masked] <<<------------
"And since you are the future keepers of everything, including music, 
we hope you will keep it well, with love, and in joy." (Frederick Fennell)

From: [email-masked] (Percy Chan)
Newsgroups: comp.os.linux.misc
Subject: Re: rpm on slackware96
Date: 31 Dec 1996 03:04:51 GMT
X-Newsreader: TIN [version 1.2 PL2]

WiCkEd ([email-masked]) wrote:
: Hey, wondering if anyone out there has tried to compile rpm-2.2.10 on a
: slackware 96 system.  When I try to do this, this is what I get:

: lib/librpm.a(install.o): In function `installArchive':
: /usr/local/src/rpm/lib/install.c:666: undefined reference to `gzdopen'
: /usr/local/src/rpm/lib/install.c:708: undefined reference to `gzread'
: /usr/local/src/rpm/lib/install.c:780: undefined reference to `gzclose'
: make: *** [rpm] Error 1

: 	If anyone out there has gotten a similar problem and was able to
: correct without much trouble, please reply.  Thanks.

Get zlib.tar.gz and then when you make it you have to explicitly do
a "make libz.a".  By default it only creates the libz.so which is the 
ELF shared lib.

Email me at [email-masked] if you have any questions.

From: [email-masked] (Philippe Lang)
Newsgroups: comp.os.linux.misc
Subject: Re: rpm on slackware96
Date: 2 Jan 1997 22:48:30 GMT
Organization: EPFL

In article <[email-masked]>, [email-masked]
(Percy Chan) wrote:

> WiCkEd ([email-masked]) wrote:
> : Hey, wondering if anyone out there has tried to compile rpm-2.2.10 on a
> : slackware 96 system.  When I try to do this, this is what I get:
> 
> : lib/librpm.a(install.o): In function `installArchive':
> : /usr/local/src/rpm/lib/install.c:666: undefined reference to `gzdopen'
> : /usr/local/src/rpm/lib/install.c:708: undefined reference to `gzread'
> : /usr/local/src/rpm/lib/install.c:780: undefined reference to `gzclose'
> : make: *** [rpm] Error 1
> 
> :       If anyone out there has gotten a similar problem and was able to
> : correct without much trouble, please reply.  Thanks.
> 
> Get zlib.tar.gz and then when you make it you have to explicitly do
> a "make libz.a".  By default it only creates the libz.so which is the 
> ELF shared lib.

Right, I have also installed RPM on Slackware 3.1, in order to patch the
RH Linux Library software, and I had to do the same thing. I had also a
problem during the installation (make install), I had to create a folder,
I cannot remember the name.

Philippe